package com.school.service;

import java.util.List;

import com.school.entity.Teacher;

public interface TeacherService {


	/***
	 * 添加
	 * 
	 * @param teacher
	 * @return
	 */
	public void insertTeacher(Teacher teacher);

	/***
	 * 根据id删除
	 * 
	 * @param id
	 * @return
	 */
	public void deleteTeacher(int id);

	/**
	 * 修改
	 * 
	 * @param teacher
	 * @return
	 */
	public void updateTeacher(Teacher teacher);

	/**
	 * 查询
	 * 
	 * @param teacher
	 * @return
	 */
	public List<Teacher> selectTeacher();

	/**
	 * 根据id查询
	 * 
	 * @param id
	 * @return
	 */
	public Teacher selectById(int id);

}
